Build error: supportIE not found, but set to false



  • Re: Inconsistency in the 0.15.3 doc concerning Support IE

    Came across this post as I am having a strange build error related to supportIE. I have created builds before in my project, now it seems that the supportIE value in quasar.conf.js cannot be found. The funny thing is that I never changed the setting (I don’t need IE support), so I am surprised why this is popping up suddenly.

    0_1526459437113_CapturFiles-16-15-2018_10.15.38.png

    My quasar.conf.js looks like this:

    module.exports = function (ctx) {
      return {
        plugins: [
          'i18n'
        ],
        css: [
          'app.styl'
        ],
        extras: [
          // ctx.theme.mat ? 'roboto-font' : null,
          // 'material-icons'
          'ionicons'
          // 'mdi',
          // 'fontawesome'
        ],
        supportIE: false,
        vendor: {
          add: [],
          remove: []
        },
        build: {
          scopeHoisting: true,
          vueRouterMode: 'history',
          vueCompiler: true,
          // gzip: true,
          // analyze: true,
          // extractCSS: false,
          // useNotifier: false,
          extendWebpack (cfg) {
          }
        },
    

    I tried both options mentioned by @Sweetyy above, no changes. I am using CLI version 0.15.11.

    Anybody has an idea how to overcome this? Thank you!



  • Solved. It was actually a typo in the animations setting, which apparently caused this error.